Last Comment Bug 602389 - nanojit: make Register a non-numeric type on MIPS
: nanojit: make Register a non-numeric type on MIPS
Status: RESOLVED FIXED
[fixed-in-nanojit][fixed-in-tamarin][...
:
Product: Core Graveyard
Classification: Graveyard
Component: Nanojit (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: flash10.2
Assigned To: Chris Dearman
:
Mentors:
Depends on:
Blocks: 602384
  Show dependency treegraph
 
Reported: 2010-10-06 17:15 PDT by Nicholas Nethercote [:njn]
Modified: 2014-03-17 08:00 PDT (History)
8 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Support non-integer Register type (31.46 KB, patch)
2011-04-22 20:48 PDT, Chris Dearman
n.nethercote: review+
Details | Diff | Review

Description Nicholas Nethercote [:njn] 2010-10-06 17:15:02 PDT
Bug 599251 introduced the non-numeric Register type.  This back-end doesn't use it yet.  It should.  See the i386/X64 back-ends for examples.
Comment 1 Chris Dearman 2011-04-22 20:48:33 PDT
Created attachment 527910 [details] [diff] [review]
Support non-integer Register type

Tested in nanojit and tamarin-redux
Comment 2 Nicholas Nethercote [:njn] 2011-04-27 17:56:21 PDT
Comment on attachment 527910 [details] [diff] [review]
Support non-integer Register type

Review of attachment 527910 [details] [diff] [review]:

r=me
Comment 3 Chris Dearman 2011-07-21 11:45:20 PDT
Can this change be pushed now?
Comment 4 Nicholas Nethercote [:njn] 2011-07-21 16:46:05 PDT
Sure.  Do you need someone to do it for you?  (Adding [checkin-needed] to the whiteboard is the standard way to indicate that.)
Comment 5 Chris Dearman 2011-07-21 17:03:47 PDT
(In reply to comment #4)
> Sure.  Do you need someone to do it for you?  (Adding [checkin-needed] to
> the whiteboard is the standard way to indicate that.)

Thanks. I didn't know that so thanks for the pointer :)
Comment 6 Dão Gottwald [:dao] 2011-07-23 14:44:24 PDT
Is this supposed to land on mozilla-central? If so, the paths in the patch are bogus.
Comment 7 Nicholas Nethercote [:njn] 2011-07-23 14:47:25 PDT
No, it has to land on nanojit-central.  I'll do it.
Comment 8 Nicholas Nethercote [:njn] 2011-07-24 19:57:44 PDT
http://hg.mozilla.org/projects/nanojit-central/rev/8363264654d5
Comment 9 Tamarin Bot 2011-08-17 17:17:17 PDT
changeset: 6522:d64e8c9b0731
user:      Chris Dearman <chris@mips.com>
summary:   Comment Bug 602389 - nanojit: make Register a non-numeric type on MIPS.  r=nnethercote.

http://hg.mozilla.org/tamarin-redux/rev/d64e8c9b0731
Comment 10 Marco Bonardo [::mak] 2011-08-24 02:02:59 PDT
http://hg.mozilla.org/mozilla-central/rev/806abed2a8f7
Comment 11 Nicholas Nethercote [:njn] 2011-08-24 02:44:33 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/806abed2a8f7

Note You need to log in before you can comment on or make changes to this bug.